petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatGetFactorAvailable

Returns a a flag if matrix supports particular package and factor type

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetFactorAvailable(Mat mat, MatSolverType type,MatFactorType ftype,PetscBool  *flg)

Not Collective

### Input Parameters

| mat | - the matrix
| type | - name of solver type, for example, superlu, petsc (to use PETSc's default)
| ftype | - factor type, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ICC, MAT_FACTOR_ILU,

### Output Parameter

flg -PETSC_TRUE if the factorization is available

### Notes

Some PETSc matrix formats have alternative solvers available that are contained in alternative packages such as pastix, superlu, mumps etc.

PETSc must have been ./configure to use the external solver, using the option --download-package

### See Also

MatCopy(), MatDuplicate(), MatGetFactor()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages